Test2::Event::TAP::Version(3p)

NAME
Test2::Event::TAP::Version - Event for TAP version.

DESCRIPTION
This event is used if a TAP formatter wishes to set a version.

SYNOPSIS
    use Test2::API qw/context/;
    use Test2::Event::Encoding;

    my $ctx = context();
    my $event = $ctx->send_event('TAP::Version', version => 42);

METHODS
Inherits from Test2::Event. Also defines:

$version = $e->version
    The TAP version being parsed.

SOURCE
The source code repository for Test2 can be found at <https://github.com/Test-More/test-more/>.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <https://dev.perl.org/licenses/>